## grendel.addressbook.addresscard
Interface ICardSource

All Known Implementing Classes:
  LDAP_Server, ACS_Personal

public abstract interface ICardSource

Method Summary
`void` | `add(ICard aCard)` add a card(s)
`void` | `close()` closing the source
`void` | `delete(ICard aCard)` delete a card(s)
`ICardSet` | `getCardSet(ITerm QueryTerm, java.lang.String[] AttributesArray)` retrieveing address cards
`void` | `update(ICard aCard)` update a card(s)

Method Detail

### close

    public void close()

  closing the source

### getCardSet

    public ICardSet getCardSet(ITerm QueryTerm,
                               java.lang.String[] AttributesArray)

  retrieveing address cards

### add

    public void add(ICard aCard)
             throws AC_Exception

  add a card(s)

### update

    public void update(ICard aCard)
                throws AC_Exception

  update a card(s)

### delete

    public void delete(ICard aCard)
                throws AC_Exception

  delete a card(s)